//  IJK Coordinate Plane
//  07/14/2016
//  Dr. Steven Sahyun
//  Chris Marshall
//  University of Wisconsin Whitewater

include<XYZIJK_Modules.scad>;

xlength = 50; // this is the length for the "x" arm
ylength = 50; // this is the length for the "y" arm
zlength = 50; // this is the length for the "z" arm
normalx = 8.5; // this is the "x" value for the "y" and "z" arms
normaly = 8.5; // this is the "y" value for the "x" and "z" arms
normalz = 8.5; // this is the "z" value for the "y" and "z" arms
xtext = "i";
ytext = "j";
ztext = "k";
$fn = 40; //Makes a nice sphere

//Braille Dot Spacing distances in mm
radius = 1.0;
dotspacing = 2.4;
cellspacing = 6.2;
    
//Labels
translate([xlength+(normalx/2), normalx/4, 0]){
    label(xtext, 6, normalz+1.5);
}// X label
translate([normaly, ylength+(normaly/2), 0]){
    rotate([0, 0, 90]){
        label(ytext, 6, normalz+1.5);}
}// Y Label
rotate([0, 90, 0]){
translate([-(zlength+3), normalx/2, 0]) {
    rotate(90, 0, 0){
        label(ztext, 6, normalz+1.5);}
    }
}// Z Label 
    
//Coordinate arms
coordinatearm(xlength, normaly, normalz); // X arm
coordinatearm(normalx, ylength, normalz); // Y arm
coordinatearm(normalx, normaly, zlength); // Z arm

//Arrows
translate([xlength, 1.5*normalx, 0]){
    rotate([0, 0, -90]){
    triangle(normaly*2, normaly*2, normalz+0.5);}
} // X Arrow
translate([-normaly/2, ylength, 0]){
    triangle(normaly*2, normaly*2, normalz+0.5);
} // Y Arrow
translate([normalz, 1.5*normalx, zlength]){
    rotate([90, 0, 270]){
    triangle(normaly*2, normaly*2, normalz);}
} // Z Arrow

//Braille Guide Bars
translate([0, 0, 0]){
    cube([xlength, 1, normalz+0.5]);} // X arm ridge
translate([normaly, normalx, 0]){
    cube([1, ylength-normalx, normalz+0.5]);} //  Y arm ridge
translate([-3, 0, zlength-(zlength/2)+dotspacing]){
    rotate([0,-45,0]){
        translate([normalx+5, 0, -2]){
                cube([radius*2, normaly, 1]);}
    }
} // Z arm ridge

//Z Arrow Supports
translate([0,0,4]){
translate([0, 0.5, zlength-7]){
    rotate([45, 0, 0]){
        cube([normalx, 2, normalz/2]);
    }}
} // Left support
translate([0,0,4]){
translate([0, normaly-1.7, zlength-5.4]){
    rotate([-45, 0, 0]){
        cube([normalx, 2, normalz/2]);
    }}
} // Right support

// Braille Labels
translate([xlength*0.9, normaly*0.8, normalz]){
    rotate([0, 180, 180]){
        drawtext(xtext);}
    }// X Braille Label
translate([normalx/4, ylength-(ylength*0.15), normalz]){
    rotate([180, 0, 90]){
        drawtext(ytext);}
    }// Y Braille Label
translate([normalx, normaly/3, zlength*0.9]){
    rotate([270, 0, 90]){
        drawtext(ztext);}
    }// Z Braille Label

